---
lang: en
title: 'API docs: core.lifecycleobserverregistry.getobservergroup'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverregistry.getobservergroup.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverRegistry](./core.lifecycleobserverregistry.md) &gt; [getObserverGroup](./core.lifecycleobserverregistry.getobservergroup.md)

## LifeCycleObserverRegistry.getObserverGroup() method

Get the group for a given life cycle observer binding

**Signature:**

```typescript
protected getObserverGroup(binding: Readonly<Binding<LifeCycleObserver>>): string;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

binding


</td><td>

Readonly&lt;[Binding](./context.binding.md)<!-- -->&lt;[LifeCycleObserver](./core.lifecycleobserver.md)<!-- -->&gt;&gt;


</td><td>

Life cycle observer binding


</td></tr>
</tbody></table>

**Returns:**

string


